# TODO:
# - *.a and *.la? delete?
%define	orgname	iperf
Summary:	Network performance measurement tool
Summary(pl.UTF-8):	Narzędzie do szacowania wydajności sieci
Name:		iperf3
Version:	3.16
Release:	1%{?tld}
License:	BSD-like
Group:		Networking/Utilities
Source0:	https://downloads.es.net/pub/iperf/%{orgname}-%{version}.tar.gz
# Source0-md5:	cbcdeae143cbd82a1f41a80ed01ede6c
Patch0:		link-libatomic.patch
URL:		https://software.es.net/iperf/
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake
%ifnarch %arch_with_atomics64
BuildRequires:	libatomic-devel
%endif
BuildRequires:	libsctp-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:3.13
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 2.025
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iperf was orginally developed by NLANR/DAST as a modern alternative
for measuring maximum TCP and UDP bandwidth performance. Iperf allows
the tuning of various parameters and UDP characteristics. Iperf
reports bandwidth, delay jitter, datagram loss.

iperf3 is a new implementation from scratch, with the goal of a
smaller, simpler code base, and a library version of the functionality
that can be used in other programs. iperf3 is not backwards compatible
with iperf2.

%package libs
Summary:	Shared iperf3 libraries
Summary(pl.UTF-8):	Biblioteki współdzielone iperf3
Group:		Libraries

%description libs
Shared iperf3 libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone iperf3.

%package devel
Summary:	Header files for iperf3 libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek iperf3
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for iperf3 libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek iperf3.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc INSTALL LICENSE README.md RELNOTES.md docs/
%attr(755,root,root) %{_bindir}/iperf3
%{_mandir}/man1/iperf3.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiperf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiperf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiperf.so
%{_includedir}/iperf_api.h
%{_mandir}/man3/libiperf.3*
%changelog
* Mon Jan 08 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/iperf3.git;a=log;h=master

* Wed Dec 13 2023 Jan Palus <atler@pld-linux.org> e33663a
- up to 3.16

* Sat Sep 16 2023 Jan Palus <atler@pld-linux.org> d30c4ed
- up to 3.15

* Thu Jul 20 2023 Jan Palus <atler@pld-linux.org> 38372e2
- drop non-existent epoch

* Thu Jul 20 2023 Jan Palus <atler@pld-linux.org> 8f87d3d
- R: -libs from same build in main package; rel 2

* Tue Jul 11 2023 Jan Palus <atler@pld-linux.org> 6cc1aef
- up to 3.14

* Mon Feb 20 2023 Jan Palus <atler@pld-linux.org> 35fab88
- up to 3.13

* Fri Oct 07 2022 Jan Palus <atler@pld-linux.org> 2349d53
- up to 3.12

* Mon Sep 05 2022 Jan Palus <atler@pld-linux.org> e0c3233
- up to 3.11

* Mon Sep 05 2022 Jan Palus <atler@pld-linux.org> 54a2eec
- don't build binary for profiling

* Mon Sep 05 2022 Jan Palus <atler@pld-linux.org> 2d6f348
- disable silent rules

* Mon Sep 05 2022 Jan Palus <atler@pld-linux.org> cb98038
- updated deps

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> d330bc9
- rebuild with openssl 3.0.0

* Tue Jun 23 2020 Marcin Krol <hawk@tld-linux.org> 37bd95d
- updated to 3.8

* Sun Oct 14 2018 Adam Gołębiowski <adamg@pld-linux.org> 7ccc3fa
- adapterized

* Sun Oct 14 2018 Adam Gołębiowski <adamg@pld-linux.org> ed3bda2
- updated to 3.6

* Mon Nov 03 2014 Paweł Gołaszewski <blues@pld-linux.org> 56ccfbc
- rel.1 - libs and devel packages

* Mon Nov 03 2014 Paweł Gołaszewski <blues@pld-linux.org> 7321b86
- 3.0.3

* Mon Feb 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c42451f
- avoid -pg (conflicts with -fomit-frame-pointer)

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8553f23
- build fixed

* Mon Feb 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c5c47ef
- initial

